TPMS_POLICYSIGNED Struct Reference

`#include <ifapi_policy_types.h>`

## Data Fields

TPM2B_NONCE | nonceTPM
TPM2B_DIGEST | cpHashA
TPM2B_NONCE | policyRef
INT32 | expiration
TPMT_SIGNATURE | auth
TPM2B_NAME | publicKey
char * | publicKeyHint
char * | keyPath
TPMT_PUBLIC | keyPublic
char * | keyPEM
TPMI_ALG_HASH | keyPEMhashAlg
TPMT_RSA_SCHEME | rsaScheme
TPMT_SIGNATURE | signature_tpm

## Detailed Description

Policy type TPMS_POLICYSIGNED

## Field Documentation

## auth

TPMT_SIGNATURE auth

This value is generated from at runtime via a callback.

## cpHashA

TPM2B_DIGEST cpHashA

This value will be automatically generated by the FAPI.

## expiration

INT32 expiration

This value will be -1 by the FAPI

## keyPath

char* keyPath

A reference to a key inside the FAPI keystore

## keyPEM

char* keyPEM

The TPM2B_NAME is constructed with a TPMT_PUBLIC from this

## keyPEMhashAlg

TPMI_ALG_HASH keyPEMhashAlg

(optional) Default = SHA256

## keyPublic

TPMT_PUBLIC keyPublic

None

## nonceTPM

TPM2B_NONCE nonceTPM

This is a value returned by TPM2_StartAuthSession and thus n

## policyRef

TPM2B_NONCE policyRef

Default is zero-length

## publicKey

TPM2B_NAME publicKey

This will be automatically generated from keyPath, keyPublic

## publicKeyHint

char* publicKeyHint

A human readable hint to denote which public key to use.

## rsaScheme

TPMT_RSA_SCHEME rsaScheme

(optional) Default = TPM2_ALG_RSAPSS

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_policy_types.h